import { OnInit } from "@angular/core";
export declare class TruncatedTextToggleComponent implements OnInit {
    data: string;
    maximum: number;
    showData: string;
    showExpandMoreBtn: boolean;
    showCollapseBtn: boolean;
    constructor();
    ngOnInit(): void;
    showAll(): void;
    collapse(): void;
}
